Texa Desk Application API · Labels
List all labels
GET/
List all labels available in the current account
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
Responses
200Success
payloadarray of objectArray of labels
payload[].idnumberThe ID of the label
payload[].titlestringThe title of the label
payload[].descriptionstringThe description of the label
payload[].colorstringHex color code for the label
payload[].show_on_sidebarbooleanWhether the label should appear in the sidebar
401Unauthorized
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring